[arch-commits] Commit in go-tools/repos/community-x86_64 (PKGBUILD PKGBUILD)

Morten Linderud foxboron at archlinux.org
Sat May 22 20:23:37 UTC 2021


    Date: Saturday, May 22, 2021 @ 20:23:37
  Author: foxboron
Revision: 942272

archrelease: copy trunk to community-x86_64

Added:
  go-tools/repos/community-x86_64/PKGBUILD
    (from rev 942271, go-tools/trunk/PKGBUILD)
Deleted:
  go-tools/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  108 ++++++++++++++++++++++++++++---------------------------------
 1 file changed, 51 insertions(+), 57 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-05-22 20:23:30 UTC (rev 942271)
+++ PKGBUILD	2021-05-22 20:23:37 UTC (rev 942272)
@@ -1,57 +0,0 @@
-# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Maintainer: Morten Linderud <foxboron at archlinux.org>
-
-pkgname=go-tools
-epoch=2
-pkgver=1.16+4895+c1934b75d0
-pkgrel=3
-pkgdesc='Developer tools for the Go programming language'
-arch=(x86_64)
-url='https://golang.org/'
-license=(BSD)
-depends=(glibc)
-makedepends=(git go)
-_commit=c1934b75d054975b79a8179cb6f0a9b8b3fa33cd
-source=(go-tools::git+https://go.googlesource.com/tools#commit=$_commit)
-md5sums=('SKIP')
-
-_tools=(benchcmp callgraph compilebench cover digraph eg fiximports
-        go-contrib-init godex godoc goimports gomvpkg gorename gotype 
-        goyacc guru html2article present ssadump stringer toolstash)
-
-pkgver() {
-  local _gover=1.16
-  cd go-tools
-  printf "%s+%s+%s" $_gover "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
-}
-
-prepare() {
-    cd go-tools
-    mkdir -p bin/
-}
-
-build() {
-  cd go-tools
-  export CGO_CPPFLAGS="${CPPFLAGS}"
-  export CGO_CFLAGS="${CFLAGS}"
-  export CGO_CXXFLAGS="${CXXFLAGS}"
-  export CGO_LDFLAGS="${LDFLAGS}"
-  export GOFLAGS="-buildmode=pie -trimpath -ldflags=-linkmode=external -mod=readonly -modcacherw"
-  go build -o bin/ ./cmd/...
-}
-
-check() {
-  cd go-tools
-  # Needs to be updated and godoc is failing the test suite
-  # See https://github.com/golang/go/issues/35690
-  go test ./cmd/...  || true
-}
-
-package() {
-  cd go-tools
-  for tool in ${_tools[@]}; do
-    install -Dm755 bin/$tool "$pkgdir/usr/bin/$tool"
-  done
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}

Copied: go-tools/repos/community-x86_64/PKGBUILD (from rev 942271, go-tools/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-05-22 20:23:37 UTC (rev 942272)
@@ -0,0 +1,51 @@
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+
+pkgname=go-tools
+epoch=4
+pkgver=1.1
+pkgrel=1
+pkgdesc='Developer tools for the Go programming language'
+arch=(x86_64)
+url='https://golang.org/'
+license=(BSD)
+depends=(glibc)
+makedepends=(git go)
+_commit=cd1d0887dc8cfcfb844340a5fce628c61da00a20
+source=(go-tools::git+https://go.googlesource.com/tools#commit=$_commit)
+md5sums=('SKIP')
+
+_tools=(benchcmp callgraph compilebench cover digraph eg fiximports
+        go-contrib-init godex godoc goimports gomvpkg gorename gotype 
+        goyacc guru html2article present ssadump stringer toolstash)
+
+prepare() {
+    cd go-tools
+    mkdir -p bin/
+}
+
+build() {
+  cd go-tools
+  export CGO_CPPFLAGS="${CPPFLAGS}"
+  export CGO_CFLAGS="${CFLAGS}"
+  export CGO_CXXFLAGS="${CXXFLAGS}"
+  export CGO_LDFLAGS="${LDFLAGS}"
+  export GOFLAGS="-buildmode=pie -trimpath -ldflags=-linkmode=external -mod=readonly -modcacherw"
+  go build -o bin/ ./cmd/...
+}
+
+check() {
+  cd go-tools
+  # Needs to be updated and godoc is failing the test suite
+  # See https://github.com/golang/go/issues/35690
+  go test ./cmd/...  || true
+}
+
+package() {
+  cd go-tools
+  for tool in ${_tools[@]}; do
+    install -Dm755 bin/$tool "$pkgdir/usr/bin/$tool"
+  done
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}



More information about the arch-commits mailing list